<?php
    function cfi_apply_to_form() {

        if( isset( $_POST['save_changes'])) {
            $_POST['cfi_post_type'][] = 'post';
            update_option( 'cfi_post_type', $_POST['cfi_post_type'] );
        }

        $selected_post = get_option( 'cfi_post_type', $default = array('post') );

        $posts = get_post_types( '', $output = 'names');
        $remove = array('revision', 'attachment', 'page', 'nav_menu_item');
        foreach ($remove as $post ) {
            unset($posts[array_search( $post, $posts)]);
        }
        ?>
        <form action='' method='post'>
            <h3><?php _e('Choose Post type to apply Category Featured Image', 'category-featured-image'); ?></h3>
            <?php foreach( $posts as $post) {
                $property = (in_array($post, $selected_post))?"checked='checked'":'';
                $property .= ($post == 'post')?"disabled":'';
            echo "<label><input type='checkbox' $property name='cfi_post_type[]' value='$post' /> $post </label><br>";
            } ?>
            <p><input type="submit" class="button-primary" name="save_changes" id="save_changes" value="<?php _e("Save Changes", "category-featured-image"); ?>" /></p>
        </form>
        <?php
    }
?>